# Class ImportActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.ImportActionGroup

public class ImportActionGroup extends org.eclipse.ui.actions.ActionGroup
Action group to add the Import and Export action to a view part's context menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ImportActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `ImportActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`fillActionBars, getContext, setContext, updateActionBars`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportActionGroup

public ImportActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `ImportActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

## Method Details

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`